> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for content in the feed



## OpenAPI

````yaml /api-reference/openapi.json get /app.rocksky.feed.search
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.feed.search:
    get:
      tags:
        - app.rocksky.feed
      summary: Search for content in the feed
      operationId: app.rocksky.feed.search
      parameters:
        - name: query
          in: query
          description: The search query string
          required: true
          schema:
            type: string
            description: The search query string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app.rocksky.feed.defs.searchResultsView'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    app.rocksky.feed.defs.searchResultsView:
      type: object
      properties:
        hits:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/app.rocksky.song.defs.songViewBasic'
              - $ref: '#/components/schemas/app.rocksky.album.defs.albumViewBasic'
              - $ref: '#/components/schemas/app.rocksky.artist.defs.artistViewBasic'
              - $ref: >-
                  #/components/schemas/app.rocksky.playlist.defs.playlistViewBasic
              - $ref: '#/components/schemas/app.rocksky.actor.defs.profileViewBasic'
        processingTimeMs:
          type: integer
        limit:
          type: integer
        offset:
          type: integer
        estimatedTotalHits:
          type: integer
    app.rocksky.song.defs.songViewBasic:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the song.
        title:
          type: string
          description: The title of the song.
        artist:
          type: string
          description: The artist of the song.
        albumArtist:
          type: string
          description: The artist of the album the song belongs to.
        albumArt:
          type: string
          description: The URL of the album art image.
          format: uri
        uri:
          type: string
          description: The URI of the song.
          format: at-uri
        album:
          type: string
          description: The album of the song.
        duration:
          type: integer
        trackNumber:
          type: integer
        discNumber:
          type: integer
        playCount:
          type: integer
          minimum: 0
        uniqueListeners:
          type: integer
          minimum: 0
        albumUri:
          type: string
          description: The URI of the album the song belongs to.
          format: at-uri
        artistUri:
          type: string
          description: The URI of the artist of the song.
          format: at-uri
        sha256:
          type: string
          description: The SHA256 hash of the song.
        mbid:
          type: string
          description: The MusicBrainz ID of the song.
        isrc:
          type: string
          description: The International Standard Recording Code (ISRC) of the song.
        tags:
          type: array
          items:
            type: string
        createdAt:
          type: string
          description: The timestamp when the song was created.
          format: date-time
    app.rocksky.album.defs.albumViewBasic:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the album.
        uri:
          type: string
          description: The URI of the album.
          format: at-uri
        title:
          type: string
          description: The title of the album.
        artist:
          type: string
          description: The artist of the album.
        artistUri:
          type: string
          description: The URI of the album's artist.
          format: at-uri
        year:
          type: integer
        albumArt:
          type: string
          description: The URL of the album art image.
          format: uri
        releaseDate:
          type: string
          description: The release date of the album.
        sha256:
          type: string
          description: The SHA256 hash of the album.
        playCount:
          type: integer
          minimum: 0
        uniqueListeners:
          type: integer
          minimum: 0
    app.rocksky.artist.defs.artistViewBasic:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the artist.
        uri:
          type: string
          description: The URI of the artist.
          format: at-uri
        name:
          type: string
          description: The name of the artist.
        picture:
          type: string
          description: The picture of the artist.
        sha256:
          type: string
          description: The SHA256 hash of the artist.
        playCount:
          type: integer
          minimum: 0
        uniqueListeners:
          type: integer
          minimum: 0
        tags:
          type: array
          items:
            type: string
    app.rocksky.playlist.defs.playlistViewBasic:
      type: object
      description: Basic view of a playlist, including its metadata
      properties:
        id:
          type: string
          description: The unique identifier of the playlist.
        title:
          type: string
          description: The title of the playlist.
        uri:
          type: string
          description: The URI of the playlist.
          format: at-uri
        curatorDid:
          type: string
          description: The DID of the curator of the playlist.
          format: at-identifier
        curatorHandle:
          type: string
          description: The handle of the curator of the playlist.
          format: at-identifier
        curatorName:
          type: string
          description: The name of the curator of the playlist.
        curatorAvatarUrl:
          type: string
          description: The URL of the avatar image of the curator.
          format: uri
        description:
          type: string
          description: A description of the playlist.
        coverImageUrl:
          type: string
          description: The URL of the cover image for the playlist.
          format: uri
        createdAt:
          type: string
          description: The date and time when the playlist was created.
          format: date-time
        trackCount:
          type: integer
          minimum: 0
    app.rocksky.actor.defs.profileViewBasic:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the actor.
        did:
          type: string
          description: The DID of the actor.
        handle:
          type: string
          description: The handle of the actor.
        displayName:
          type: string
          description: The display name of the actor.
        avatar:
          type: string
          description: The URL of the actor's avatar image.
          format: uri
        createdAt:
          type: string
          description: The date and time when the actor was created.
          format: date-time
        updatedAt:
          type: string
          description: The date and time when the actor was last updated.
          format: date-time
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````